package client;

import idl.Sample;
import idl.SampleHelper;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;

import org.omg.CORBA.ORB;
import org.omg.CORBA.Object;

public class Client {

	private static final String IOR_FILE = "ior.txt";

	public static void main(String[] args) {
		if (args.length < 1) {
			System.out.println("[Client]Specify your name as argument.");
			return;
		}

		File file = new File(IOR_FILE);
		if (!file.exists()) {
			System.out.println("[Client]Could not find ior.txt.");
			return;
		}

		try {
			ORB orb = ORB.init(args, System.getProperties());

			BufferedReader br = new BufferedReader(new FileReader(file));
			Object obj = orb.string_to_object(br.readLine());
			br.close();

			Sample sample = SampleHelper.narrow(obj);

			String result = sample.getHello(args[0]);

			System.out.println("[Client]Result : " + result);

			orb.shutdown(true);
			orb.destroy();
		} catch (Exception e) {
			System.err.println("[Client]Exception occured !!");
			e.printStackTrace();
		}
	}
}
